aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/require.sh
diff options
context:
space:
mode:
authorNicolas LÅ“uillet <nicolas@loeuillet.org>2016-10-27 13:55:17 +0200
committerGitHub <noreply@github.com>2016-10-27 13:55:17 +0200
commit069d39dfaffdc99db44d578250cd366b1af69fd6 (patch)
tree3707e21a1f0a4074bd9353efee7798582eeac18e /scripts/require.sh
parentf3b637fbfee2fa9f66e53cbadd05e85771eece9d (diff)
parentc4d9a8d6d0db2be5c502e257bbeb963e3870d521 (diff)
downloadwallabag-069d39dfaffdc99db44d578250cd366b1af69fd6.tar.gz
wallabag-069d39dfaffdc99db44d578250cd366b1af69fd6.tar.zst
wallabag-069d39dfaffdc99db44d578250cd366b1af69fd6.zip
Merge pull request #2507 from wallabag/add-check-makefile
Added require.sh to check if composer is installed
Diffstat (limited to 'scripts/require.sh')
-rw-r--r--scripts/require.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/require.sh b/scripts/require.sh
new file mode 100644
index 00000000..ddfb3dd2
--- /dev/null
+++ b/scripts/require.sh
@@ -0,0 +1,9 @@
1#! /usr/bin/env bash
2# File used to check dependencies
3
4if [ ! -f composer.phar ]; then
5 echo "composer.phar not found, we'll see if composer is installed globally."
6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }
7else
8 COMPOSER_COMMAND='composer.phar'
9fi